package com.wd.workoffice.util;


import android.text.TextUtils;

import com.alibaba.fastjson.JSON;
import com.google.android.material.textfield.TextInputEditText;
import com.wd.workoffice.bean.TokenBean;

import flexible.xd.android_base.utils.SPUtils;

/**
 * Created by Flexible on 2017/1/9 0009.
 */

public class UserKeeper {
    private volatile static UserKeeper keeper;
    private SPUtils sp = SPUtils.getInstance("UserKeeper");
    private final String LOGIN_INFO = "_LOGIN_INFO";
    private final String IS_LOGIN = "_IS_LOGIN";
    private final String ACCOUNT = "_ACCOUNT";

    private UserKeeper() {
    }

    public static UserKeeper getInstance() {
        if (keeper == null) {
            synchronized (UserKeeper.class) {
                if (keeper == null) {
                    keeper = new UserKeeper();
                }
            }
        }
        return keeper;
    }

    public void keepLoginInfo(String info) {
        sp.put(LOGIN_INFO, info);
    }

    public String getLoginInfo() {
        return sp.getString(LOGIN_INFO);
    }

    public void clearLoginInfo() {
        sp.put(LOGIN_INFO, "");
    }

    public String getToken() {

        if (TextUtils.isEmpty(sp.getString(LOGIN_INFO))) {
            return "";
        }
        TokenBean tokenBean = JSON.parseObject(sp.getString(LOGIN_INFO), TokenBean.class);
        if (tokenBean == null || TextUtils.isEmpty(tokenBean.getAccess_token())) {
            return "";
        }
        return tokenBean.getAccess_token();
    }

    public void clearAll() {
        clearLoginInfo();
//        clearLogin();
//        clearAccount();
    }
}
